<?php

/* MINISHOP:INTELLECTMONEY INSTALL */
//error_reporting(0);


function CheckAbilityOfInstallation () {
	$result ["Success"] = 1;
	$result ["ErrorMessage"] = NETCAT_MODULE_ERROR;

	// check if classificators exist
	if (!mysql_num_rows(mysql_query("SHOW TABLES LIKE 'Classificator_MinishopDelivery'")) ||
		!mysql_num_rows(mysql_query("SHOW TABLES LIKE 'Classificator_MinishopPayment'")) ||
		!mysql_num_rows(mysql_query("SHOW TABLES LIKE 'Classificator_MinishopStatus'"))
	) {
		$result["Success"]=0;
		$result["ErrorMessage"] = "<b>В системе вероятно не установлен модуль \"Минимагазин\"</b>";
	}

	return $result;
}

// it's slightly changed version of CopyFiles() from admin/module/function.inc.php:
function MyCopyFiles() {
	global $TMP_FOLDER, $MODULE_FOLDER, $ROOT_FOLDER, $DOCUMENT_ROOT;
	global $Keyword;

	@mkdir ($MODULE_FOLDER.$Keyword, 0775);

	// ... stripped some lines from CopyFiles() ... //

	$FileList = "myfiles.txt";
	$fp = fopen ($TMP_FOLDER.$FileList, "r");

	// могут быть поддиректории (скрипт корректно обрабатывает только один уровень)
	while (!feof ($fp)) {
		$file_name = chop (fgets($fp, 4096));
		if (strlen ($file_name) == 0) break;
		// get directory and file name
		preg_match("!.+/$Keyword/(\w+/)?(.+)$!", $file_name, $regs);
		if ($regs[1]) { // subdirectory
			$dir = $MODULE_FOLDER.$Keyword."/".$regs[1];
			if (!is_dir($dir)) mkdir($dir, 0755);
		}


		$src = $TMP_FOLDER.$file_name;
		$dst = $MODULE_FOLDER.$Keyword."/".$regs[1].basename($file_name);

		copy($src, $dst);
	}
	fclose ($fp);
}


function InstallThisModule() {
	global $ADMIN_FOLDER, $TMP_FOLDER, $Parameters, $db;

	require_once $ADMIN_FOLDER."class/import.inc.php";

	if (!@require_once($TMP_FOLDER.MAIN_LANG.".lang.php"))
		require_once($TMP_FOLDER."en.lang.php");

	$Handler_class = ParseClassFile($TMP_FOLDER."tpl/dv_imoney.tpl");

	$db->query("INSERT INTO `Settings`
			(`Key`, `Value`, `Module`)
		VALUES
			('dv_status_clft', 'MinishopStatus', '3dvimoney'),
			('mail_subject', '%SHOP_NAME: Ссылка для оплаты заказа', '3dvimoney'),
			('mail_body', \"Здравствуйте, %USER_NAME

Ваша ссылка для оплаты заказа №%ORDER_NUM на сайте <a href='%SITE_URL'>%SHOP_NAME</a>:
<a href='%PAYMENT_URL'>%PAYMENT_URL</a>

Примечание: %ORDER_NOTE

Сумма заказа: %FINAL_COST

С уважением, %SHOP_NAME.\", '3dvimoney'),
			('mail_ishtml', '1', '3dvimoney');");


	MyCopyFiles();

	$result ["Success"] = 1;
	$result ["ErrorMessage"] = NETCAT_MODULE_ERROR;

	return $result;
}

